### Method

# FwupdPlugin UdevDevice ioctl_new

since: 2.0.2

#### Declaration [src]

    FuIoctl*
    fu_udev_device_ioctl_new (
      FuUdevDevice* self
    )

#### Description [src]

Build a helper to control a device using a low-level request.

Available since: 2.0.2

#### Return value

Type: `FuIoctl`

A `FuIoctl`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.